# ListViewItemDragEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [ItemDrag](/api/wisej.web/lists-and-grids/listview.md#itemdrag) event of the [ListView](/api/wisej.web/lists-and-grids/listview.md) controls.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ListViewItemDragEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ListViewItemDragEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) ListViewItemDragEventArgs(button)

Initializes a new instance of the [ItemDragEventArgs](/api/wisej.web/lists-and-grids/treeview/wisej.web.itemdrageventargs.md) class with a specified mouse button.

| Name       | Type                                                                  | Description                                                                                                                                    |
| ---------- | --------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| **button** | [MouseButtons](/api/wisej.web/enumerations/wisej.web.mousebuttons.md) | A combination of [MouseButtons](/api/wisej.web/enumerations/wisej.web.mousebuttons.md) values that indicates which mouse buttons were pressed. |

### ![](/files/hsR4ok3152WyAf8J2C1u) ListViewItemDragEventArgs(button, item)

Initializes a new instance of the [ItemDragEventArgs](/api/wisej.web/lists-and-grids/treeview/wisej.web.itemdrageventargs.md) class with a specified mouse button and the [ListViewItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md) that is being dragged.

| Name       | Type                                                                              | Description                                                                                                                                    |
| ---------- | --------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| **button** | [MouseButtons](/api/wisej.web/enumerations/wisej.web.mousebuttons.md)             | A combination of [MouseButtons](/api/wisej.web/enumerations/wisej.web.mousebuttons.md) values that indicates which mouse buttons were pressed. |
| **item**   | [ListViewItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md) | The [ListViewItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md) being dragged.                                           |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Button

[MouseButtons](/api/wisej.web/enumerations/wisej.web.mousebuttons.md): Returns a value that indicates which mouse buttons were pressed during the drag operation.

### ![](/files/hsR4ok3152WyAf8J2C1u) Item

[ListViewItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md): Returns the [ListViewItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md) that is being dragged.

## Used By

| Name                                                                                                              | Description                                                                                                                                                                           |
| ----------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [ListViewItemDragEventHandler](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitemdrageventhandler.md) | Represents the method that will handle the [ItemDrag](/api/wisej.web/lists-and-grids/listview.md#itemdrag) event of a [ListView](/api/wisej.web/lists-and-grids/listview.md) control. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitemdrageventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
